Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202250 - [Quota] : Handle file count and directory count, introduced as part of inode quota feature, in AFR
Summary: [Quota] : Handle file count and directory count, introduced as part of inode ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard: quota
Depends On: 1190108
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 08:37 UTC by Sachin Pandit
Modified: 2018-10-12 15:48 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.12.13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-12 15:48:23 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Sachin Pandit 2015-03-16 08:37:28 UTC
Description of problem:
AFR queries its subvolumes to get the maximum quota value set
as extended attribute. With new changes introduced as part of
"inode quota" feature, we will have file count and directory count
embedded in the same quota-size extended attribute. We need to
handle file count and directory count in the same way we handle
quota size in AFR

Comment 1 Anand Avati 2015-03-16 12:07:36 UTC
REVIEW: http://review.gluster.org/9899 (feature/afr : Handle quota file count and dir count.) posted (#1) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 2 Anand Avati 2015-03-16 12:35:03 UTC
REVIEW: http://review.gluster.org/9899 (feature/afr : Handle quota file count and dir count.) posted (#2) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 3 Sachin Pandit 2015-03-31 05:33:40 UTC
Fixed in this patch itself : http://review.gluster.org/#/c/9769/

Comment 7 Ravishankar N 2017-03-02 05:36:35 UTC
Moving it back to MODIFIED per comment #3


Note You need to log in before you can comment on or make changes to this bug.